package prednaska;

import java.awt.*;

/**
 *
 * @author Miroslav Bal�k
 */
public class Obdelnik {

    Color barva;
    int sirka, vyska;
    Point pozice;

    Obdelnik(int s, int v) {
        this(s, v, Color.BLACK);
    }

    Obdelnik(int s, int v, Color c) {
        sirka = s;
        vyska = v;
        barva = c;
    }

    int vypoctiObvod() {
        return 2 * (sirka + vyska);
    }

    int vypoctiObsah() {
        return sirka * vyska;
    }

    void nastavBarvu(Color c) {
        barva = c;
    }

    static int vratPocetRohu() {
        return 4;
    }

    @Override
    public String toString() {
        return "Obdelnik: " + sirka + " x " + vyska;
    }

    @Override
    public boolean equals(Object o) {
        if (!(o instanceof Obdelnik)) {
            return false; // porovnam jen s obdelniky
        }
        Obdelnik obd = (Obdelnik) o;  //pretypovani
        return (sirka == obd.sirka) && (obd.vyska == vyska);
    }

    @Override
    public int hashCode() {
        int hash = 7;
        hash = 59 * hash + this.sirka;
        hash = 59 * hash + this.vyska;
        return hash;
    }
}
